; Akeeba Upload to Google Storage post processing engine
; Copyright (c)2006-2015 Nicholas K. Dionysopoulos

; Engine information
[_information]
title=ENGINE_POSTPROC_DREAMOBJECTS_TITLE
description=ENGINE_POSTPROC_DREAMOBJECTS_DESCRIPTION

; Post-process after generating each part?
[engine.postproc.common.after_part]
default=0
type=bool
title=CONFIG_POSTPROCPARTS_TITLE
description=CONFIG_POSTPROCPARTS_DESCRIPTION

; Delete from server after processing?
[engine.postproc.common.delete_after]
default=1
type=bool
title=CONFIG_DELETEAFTER_TITLE
description=CONFIG_DELETEAFTER_DESCRIPTION

; Google Storage Access key
[engine.postproc.dreamobjects.accesskey]
default=""
type=string
title=CONFIG_DREAMOBJECTSACCESSKEY_TITLE
description=CONFIG_DREAMOBJECTSACCESSKEY_DESCRIPTION

; Google Storage Secret key
[engine.postproc.dreamobjects.secretkey]
default=""
type=password
title=CONFIG_DREAMOBJECTSSECRETKEY_TITLE
description=CONFIG_DREAMOBJECTSSECRETKEY_DESCRIPTION

; Google Storage use SSL
[engine.postproc.dreamobjects.usessl]
default=0
type=bool
title=CONFIG_DREAMOBJECTSUSESSL_TITLE
description=CONFIG_DREAMOBJECTSUSESSL_DESCRIPTION

; Google Storage Bucket Name
[engine.postproc.dreamobjects.bucket]
default=""
type=string
title=CONFIG_DREAMOBJECTSBUCKET_TITLE
description=CONFIG_DREAMOBJECTSBUCKET_DESCRIPTION

; Google Storage convert bucket name to lowercase
[engine.postproc.dreamobjects.lowercase]
default=1
type=bool
title=CONFIG_DREAMOBJECTSLOWERCASE_TITLE
description=CONFIG_DREAMOBJECTSLOWERCASE_DESCRIPTION

; Google Storage Directory name
[engine.postproc.dreamobjects.directory]
default="/"
type=string
title=CONFIG_DREAMOBJECTSDIRECTORY_TITLE
description=CONFIG_DREAMOBJECTSDIRECTORY_DESCRIPTION